payments.toggleStarGiftsPinnedToTop
Pins a received gift on top of the profile of the user or owned channels by using payments.RawToggleStarGiftsPinnedToTopRequest.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Pins a received gift on top of the profile of the user or owned channels by using payments.RawToggleStarGiftsPinnedToTopRequest.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.toggleStarGiftsPinnedToTop" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "stargift": [ { "_": "inputSavedStarGiftUser", "msgId": 0 } ] } }'{ "result": true}toggleChatStarGiftNotifications
Enables or disables the reception of notifications every time a [gift »](https://core.telegram.org/api/gifts) is received by the specified channel, can only be invoked by admins with post_messages `RawChatAdminRights`.
transferStarGift
Transfer a [collectible gift](https://core.telegram.org/api/gifts#collectible-gifts) to another user or channel: can only be used if transfer is free (i.e. `RawMessageActionStarGiftUnique`.transfer_stars is not set); see [here »](https://core.telegram.org/api/gifts#transferring-collectible-gifts) for more info on the full flow (including the different flow to use in case the transfer isn't free).